
Core - Bug # 48138

Status: Resolved Priority: Must have
Author: Oliver Hader Category: Install Tool
Created: 2013-05-13 Assigned To: Oliver Hader
Updated: 2013-05-16 Due date:
TYPO3 Version: 6.1
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Cannot connect to the current database
Description
Scenario:
    -  blank website, no LocalConfiguration.php file
    -  MySQL user that sees all databases but does not have access to all of them
    -  request to http://lotse.local/typo3/install/index.php?TYPO3_INSTALL[type]=config

Bug:
#1270853883: TYPO3 Fatal Error: Cannot connect to the current database, "#mysql50#.backup"!

Reason:
DatabaseConnection::admin_get_dbs() iterates over all existing databases and tries to use it. If that fails, an exception is thrown -
which is not caught in the mentioned method.

Related issues:
related to Core - Bug # 47744: Fatal error: Call to a member function fetch_o... Resolved 2013-04-30
related to Core - Bug # 47746: Converting 4.7 sites to 6.1 sites much to comp... Closed 2013-04-30

Associated revisions
Revision b2c3fd00 - 2013-05-16 20:50 - Oliver Hader

[BUGFIX] Cannot connect to the current database

DatabaseConnection::admin_get_dbs() iterates over all existing
databases during install process and tries to use each of them.
If that fails, an exception is thrown - which is not caught in
the mentioned method.

Change-Id: I5fdf08b867ead6535ce737fdceb86a977b539462
Fixes: #48138
Releases: 6.0, 6.1, 6.2
Reviewed-on: https://review.typo3.org/20732
Reviewed-by: Dmitry Dulepov
Tested-by: Dmitry Dulepov
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
History
#1 - 2013-05-13 14:57 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20732

#2 - 2013-05-16 16:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20732

#3 - 2013-05-16 20:52 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/20848

#4 - 2013-05-16 20:56 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/20849

#5 - 2013-05-16 21:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7172541509ab25f7792948c43e21e40795e058aa.
